Subject: bug#17828: 24.4.50; cygwin ispell process not responding

From: Yigal Hochberg <[email-masked]>
Date: Sat, 21 Jun 2014 12:18:10 -0400

Hi Eli,

Toda, Ma nishma?

I used to use ispell4 for Windows but this was unsupported and old.

Then,I switched to Cygwin aspell because is just worked "out-of-the-box".
It worked ok for a long while w/out a problem and no need for customization.
(emacs just found it and worked with it ok, despite pipes).

The problem appeared with emacs 24.4.

I will try the Window speller you pointed.

Thanks,

Yigal

On Sat, Jun 21, 2014 at 12:02 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 21 Jun 2014 10:21:03 -0400
> > From: Yigal Hochberg <[email-masked]>
> >
> > Emacs on Windows XP
> >
> > When spelling a buffer from emacs using cygwin ispell, some of the times
> the
> > ispell process hangs and need to be aborted.
> >
> > This did happen with previous emacs versions e.g 24.3
> >
> > Thank you
> >
> > Yigal Hochberg
> >
> >
> >
> >
> > In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
> >  of 2014-05-26 on LEG570
>
> Why are you using a Cygwin ispell with a native Windows Emacs?  This
> combination could have "issues" regarding communications via pipes.
> My recommendation is to use a native Windows build of a speller
> instead.  Hunspell can be found here:
>
>
> http://sourceforge.net/projects/ezwinports/files/hunspell-1.3.2-3-w32-bin.zip/download
>
>

-- 
Yigal